Name:		libprojectM-qt
Version:	1.2.0
Release:	7%{?dist}
Summary:	The Qt frontend to the projectM visualization plugin
Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://projectm.sourceforge.net/
Source0:	http://downloads.sourceforge.net/projectm/%{name}-%{version}.tar.bz2
#Patch to correct libsuffix in the pc file:
Patch0:		libprojectM-qt-pc-libsuffix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake, qt4-devel, libprojectM-devel = %{version}

%description
projectM-qt is a GUI designed to enhance the projectM user and preset writer
experience.  It provides a way to browse, search, rate presets and setup
preset playlists for projectM-jack and projectM-pulseaudio.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig, libprojectM-devel, qt4-devel

%description	devel
projectM-qt is a GUI designed to enhance the projectM user and preset writer
experience.  It provides a way to browse, search, rate presets and setup
preset playlists for projectM-jack and projectM-pulseaudio.
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
%{cmake} .

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libprojectM-qt.so.1*
%{_datadir}/pixmaps/prjm16-transparent.svg

%files devel
%defattr(-,root,root,-)
%doc ReadMe
%{_includedir}/libprojectM-qt/
%{_libdir}/libprojectM-qt.so
%{_libdir}/pkgconfig/libprojectM-qt.pc

%changelog
* Sun Sep 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.2.0-7
- cleanup %%cmake macro usage
- %%files: track file and sonames closer
- FTBFS libprojectM-qt-1.2.0-5.fc11 (#511744)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 9 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-4
- Changed qt-devel to qt4-devel for F8

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-3
- Removed superfluous line to get rid of .la files
- Cleaned up Requires
- Added to devel Requires

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-2
- Fixed mixed use of tabs/spaces
- Corrected SOURCE0
- Removed doc until there is a license in the tarball
- Added cmake to BR
- Added a patch to fix the libsuffix issue in the pc file

* Wed Sep 3 2008 Jameson Pugh <imntreal@gmail.com> - 1.2.0-1
- Initial public release of the package
